﻿using System;
using System.Text;
using System.Collections.Generic;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using RSPhotography.DataAccess;
using System.Data.Entity;
using System.Linq;
using System.Diagnostics;
using RSPhotography.DataAccess.DataAccessors;

namespace RSPhotography.UnitTests
{
    /// <summary>
    /// Summary description for Advanced
    /// </summary>
    [TestClass]
    public class Advanced
    {       
        [TestMethod]
        [ExpectedException(typeof(InvalidOperationException), "DbContext should have been disposed")]
        public void DataAccessorDisposedException()
        {
            using (SizeDataAccessor a = new SizeDataAccessor())
            {
                using (CatalogDataAccessor b = new CatalogDataAccessor(a))
                {
                    var entity = b.GetEntity(x => x.CatalogId == 1);
                    Assert.IsNotNull(entity);
                }
                a.GetEntity(x => x.SizeId == 1); //should throw an exception as the Db Context has now been disposed
            }
        }
    }
}
