﻿CREATE TABLE [dbo].[CatalogLocation] (
    [CatalogId]  INT NOT NULL,
    [LocationId] INT NOT NULL,
    PRIMARY KEY CLUSTERED ([CatalogId] ASC, [LocationId] ASC),
    CONSTRAINT [FK_CatalogLocation_Catalog] FOREIGN KEY ([CatalogId]) REFERENCES [dbo].[Catalog] ([CatalogId]),
    CONSTRAINT [FK_CatalogLocation_Location] FOREIGN KEY ([LocationId]) REFERENCES [dbo].[Location] ([LocationId])
);

