﻿CREATE TABLE [dbo].[Sizes] (
    [SizeId]      INT            NOT NULL,
    [Description] NVARCHAR (100) NOT NULL,
    [Dimensions]  NVARCHAR (20)  NOT NULL,
    [Width]       INT            NULL,
    [Height]      INT            NULL,
    [IsCustom] BIT NULL DEFAULT 0, 
    CONSTRAINT [PK__Sizes__PK] PRIMARY KEY NONCLUSTERED ([SizeId] ASC)
);



GO
CREATE NONCLUSTERED INDEX [IX_Sizes]
    ON [dbo].[Sizes]([Height] ASC, [Width] ASC);

