﻿CREATE TABLE [dbo].[CatalogSizes] (
    [CatalogId] INT   NOT NULL,
    [SizeId]    INT   NOT NULL,
    CONSTRAINT [PK_CatalogSizes] PRIMARY KEY CLUSTERED ([CatalogId] ASC, [SizeId] ASC),
    CONSTRAINT [FK_CatalogSizes_Catalog] FOREIGN KEY ([CatalogId]) REFERENCES [dbo].[Catalog] ([CatalogId]),
    CONSTRAINT [FK_CatalogSizes_Sizes] FOREIGN KEY ([SizeId]) REFERENCES [dbo].[Sizes] ([SizeId])
);

