CREATE TABLE [dbo].[Location] (
    [LocationId]  INT            NOT NULL,
    [RegionId]    INT            NULL,
    [Title]       NVARCHAR (50)  NOT NULL,
    [Description] NVARCHAR (100) NULL,
    CONSTRAINT [PK__Location__E7FEA49787907579] PRIMARY KEY CLUSTERED ([LocationId] ASC),
    CONSTRAINT [FK_Location_Location] FOREIGN KEY ([RegionId]) REFERENCES [dbo].[Location] ([LocationId])
);





GO

GO
CREATE NONCLUSTERED INDEX [IX_Location]
    ON [dbo].[Location]([RegionId] ASC);

